edu.whs.spin2018.baoapp.views.lobby

## Interface HerausforderungsDialog.OnActionHappenedListener

- All Known Implementing Classes:
    LobbyActivity
  Enclosing class:
    HerausforderungsDialog

      public static interface HerausforderungsDialog.OnActionHappenedListener

  Interface zur Weiterleitung einer Aktion (Button geklickt, Dialog gecanceld) an die Activity

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDialogBeendet()` Wird aufgerufen, wenn der Dialog durch einen Button - Klick beendet wird.
    `void` | `onDialogCanceled(java.lang.String gegnerUUID)` Wird aufgerufen, wenn der Dialog durch etwas anderes als einen Button - Klick beendet wird
    `void` | `onHerausforderungAbbrechenClicked(java.lang.String gegnerUUID)` Wird aufgerufen, wenn der Absender die Herausforderung abbricht.
    `void` | `onHerausforderungAblehnenClicked(java.lang.String gegnerUUID)` Lehnt die eingegangede Herausforderung ab und schließt den Dialog.
    `void` | `onHerausforderungAngenommenClicked(java.lang.String gegnerUUID)` Wird aufgerufen, wenn der Empaenger die Herausforderung annimmt.
    `void` | `starteSpieleinstellungen(Benutzer gegner, java.lang.String raum)` Startet die Spieleinstellungen

- - ### Method Detail

    - #### onDialogCanceled

          void onDialogCanceled(java.lang.String gegnerUUID)

      Wird aufgerufen, wenn der Dialog durch etwas anderes als einen Button - Klick beendet wird
      Parameters:
        `gegnerUUID` - - uuid des Gegners

    - #### onDialogBeendet

          void onDialogBeendet()

      Wird aufgerufen, wenn der Dialog durch einen Button - Klick beendet wird.

    - #### onHerausforderungAblehnenClicked

          void onHerausforderungAblehnenClicked(java.lang.String gegnerUUID)

      Lehnt die eingegangede Herausforderung ab und schließt den Dialog.

    - #### onHerausforderungAngenommenClicked

          void onHerausforderungAngenommenClicked(java.lang.String gegnerUUID)

      Wird aufgerufen, wenn der Empaenger die Herausforderung annimmt.

    - #### onHerausforderungAbbrechenClicked

          void onHerausforderungAbbrechenClicked(java.lang.String gegnerUUID)

      Wird aufgerufen, wenn der Absender die Herausforderung abbricht.

    - #### starteSpieleinstellungen

          void starteSpieleinstellungen(Benutzer gegner,
                                        java.lang.String raum)

      Startet die Spieleinstellungen
      Parameters:
        `gegner` - - Daten des Gegners
        `raum` - - Raum